Subject: bug#42637: [EXT] Re: bug#42637: 27.0.91; mm-view-pkcs7 doesn't handle S/MIME signed andd encrypted messages

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 04 Aug 2020 18:11:00 +0200

Timothy J Miller <[email-masked]> writes:

> Sometimes, but I usually get a block of Base64 text.  I'll capture
> some samples tonight.

Hm.  I only got blank messages...

Anyway, I found the problem -- Outlook used CRLF line endings on the
encrypted message itself, which messed up the parsing of the parts.
This should now be fixed in Emacs 28 (I'm pretty sure the CRLF->NL
transform is safe there -- there can't be binary parts that aren't
content-transfer-encoded, I think?)

But since you're seeing something else, perhaps there's more than one
bug here.  Can you do a new "git pull" and test?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no